PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List contacts GETCreate a contact POSTGet a contact GETUpdate a contact PATCHSoft-delete a contact DELETE
Contacts

Get a contact

GET
/contacts/{contactId}

Authorization

x-api-key<token>

In: header

Path Parameters

contactId*string

Response Body

application/json

curl -X GET "https://example.com/contacts/string"
{  "data": {    "id": "string",    "workspaceId": "string",    "customerId": "string",    "name": "string",    "email": "string",    "phone": "string",    "role": "string",    "tags": [      "string"    ],    "emailMarketingOptOut": true,    "marketingConsentAt": "2019-08-24T14:15:22Z",    "ageBand": "string",    "guardianEmail": "string",    "guardianConsentAt": "2019-08-24T14:15:22Z",    "dmOptOutAt": "2019-08-24T14:15:22Z",    "firstTouchSource": "FORM",    "firstTouchAt": "2019-08-24T14:15:22Z",    "firstTouchFormId": "string",    "firstTouchUtm": {      "property1": "string",      "property2": "string"    },    "firstTouchRef": "string",    "metaContext": {      "siteId": "string",      "at": "2019-08-24T14:15:22Z",      "hasFbp": true,      "hasFbc": true    },    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}

Create a contact POST

Previous Page

Update a contact PATCH

Next Page